/*
 * FechaRangoMinimaMaximaFActualDependiente.java
 *
 * Created on 23 de marzo de 2007, 08:48 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 *
 * @author jlozanop
 */
public class FechasDentroMismoPeriodoDependiente extends AbstractRule {

    String DATE_FORMAT = "dd/MM/yyyy";

    SimpleDateFormat sdf;

    /**
     * Creates a new instance of CampoVacio
     */
    public FechasDentroMismoPeriodoDependiente() {
        sdf = new SimpleDateFormat(DATE_FORMAT);
        sdf.setLenient(false);
    }

    public boolean performValidation(String field, String registro[],
            String nombreArchivo) {
        Date date1 = null;
        Date date2 = null;
        String campoFecha = registro[new Integer((String) getParams()[0]).intValue()];
        String campoNovedad = registro[new Integer((String) getParams()[1]).intValue()];
        String campoNovedad2 = (String) getParams()[2];
        String campoCausal = registro[new Integer((String) getParams()[3]).intValue()];
        String campoCausal2 = (String) getParams()[4];

        if (campoNovedad.equals(campoNovedad2) && campoCausal.equals(campoCausal2)) {

            if (ValidarFecha.esFecha(campoFecha)) {

                if (!ValidarFecha.esFecha(field)) {
                    return true;
                }

                try {

                    date1 = sdf.parse(field);
                    date2 = sdf.parse((String) campoFecha);

                } catch (Exception e) {
                    System.out.println("Error: " + e);
                    return true;
                }

                String DATE_FORMAT_COMPAR = "MM/yyyy";

                SimpleDateFormat dfc = new SimpleDateFormat(DATE_FORMAT_COMPAR);

                if (!dfc.format(date1).equals(dfc.format(date2))) {
                    System.out.println("Fecha1: " + dfc.format(date1) + " Fecha2: " + dfc.format(date2));
                    return true;
                }

                return false;
            }
            return true;
        } else {
            return false;
        }
    }
}
